﻿@model IEnumerable<WebApplication1.Models.Album>

<!DOCTYPE html>

<html>

<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
    <div class="col-4 text-right">
        @using (Html.BeginForm("Search", "Home", FormMethod.Post))
        {
            <div class="row">
                <div>
                    <input placeholder="Общий поиск по списку" name="text" style="height:40px; width:250px">
                </div>
                <div class="col-auto p-0 pl-1">
                    <button class="btn btn-primary text-center" style="height:40px" ;">Найти</button>
                </div>
            </div>
        }
    </div>

    <div>
        <table class="table">
            <thead>
                <tr>
                    <th>Альбом</th>
                    <th>Год выпуска</th>
                    <th>Оценка</th>
                    <th>Группа</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @item.Name
                        </td>
                        <td>
                            @item.Year
                        </td>
                        <td>
                            @item.Score
                        </td>
                        <td>
                            @item.Band
                        </td>
                        <td>
                            <a asp-action="Edit" asp-route-id="@item.AlbumID">Редактировать</a> |
                            <a asp-action="Delete" asp-route-id="@item.AlbumID">Удалить</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>

    <div class="col-8 text-left">
        <a asp-action="Create">Добавить альбом</a>
    </div>

</body>
</html>
